ALLEGRO_SAMPLE_INSTANCE(3)

NAME

ALLEGRO_SAMPLE_INSTANCE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    typedef struct ALLEGRO_SAMPLE_INSTANCE ALLEGRO_SAMPLE_INSTANCE;

DESCRIPTION

An ALLEGRO_SAMPLE_INSTANCE object represents a playable instance of a predefined sound effect. It holds information about how the effect should be played: These playback parameters consist of the looping mode, loop start/end points, playing position, speed, gain, pan and the playmode. Whether a sample instance is currently playing or paused is also one of its properties.

An instance uses the data from an ALLEGRO_SAMPLE(3) object. Multiple instances may be created from the same ALLEGRO_SAMPLE. An ALLEGRO_SAMPLE must not be destroyed while there are instances which reference it.

To actually produce audio output, an ALLEGRO_SAMPLE_INSTANCE must be attached to an ALLEGRO_MIXER(3) which eventually reaches an ALLEGRO_VOICE(3) object.

SEE ALSO

ALLEGRO_SAMPLE(3)